Returns a string denoting the type of this topology

- « MongoDB\Driver\TopologyDescription::getServers

- MongoDB\Driver\TopologyDescription::hasReadableServer »

- PHP Manual
- MongoDB\Driver\TopologyDescription
- Returns a string denoting the type of this topology

# MongoDB\Driver\TopologyDescription::getType

(mongodb >=1.13.0)

MongoDB\Driver\TopologyDescription::getType — Returns a string denoting the type of this topology

### Description

final public MongoDB\Driver\TopologyDescription::getType(): string

Returns a string denoting the type of this topology. The value will correlate with a MongoDB\Driver\TopologyDescription constant.

### Parameters

This function has no parameters.

### Return Values

Returns a string denoting the type of this topology.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.